%define gemname grit
%define _with_doc 0

Name:       ruby-%gemname
Version:    2.5.0
Release:    %mkrel 5
Summary:    Grit is a Ruby library for extracting information from a git repository in an object oriented manner
Group:      Development/Ruby
License:    GPLv2+
URL:        https://github.com/mojombo/grit
Source0:    http://rubygems.org/downloads/%gemname-%version.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Grit is a Ruby library for extracting information from a git 
repository in an object oriented manner.

%files
%{ruby_gemdir}/gems/%{gemname}-%{version}
%{ruby_gemdir}/gems/%{gemname}-%{version}/lib
%{ruby_gemdir}/specifications/%{gemname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%if %_with_doc
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{gemname}-%{version}
%endif
#-------------------------------------------------------------------------------

%prep
%setup -q

tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%if ! %_with_doc
rm -fr %buildroot%{ruby_gemdir}/doc
%endif


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.5.0-5.mga3
+ Revision: 396007
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.5.0-4.mga3
+ Revision: 380951
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 2.5.0-3.mga3
+ Revision: 312577
- drop those unwated br

* Sat Aug 04 2012 dmorgan <dmorgan> 2.5.0-2.mga3
+ Revision: 278363
- Do not package docs ( need work on rpmlint)
- imported package ruby-grit

